# Generated by Django 3.1.4 on 2021-04-17 12:47

from django.db import migrations, models

import requests
import json

class Migration(migrations.Migration):

    def city_lookup(apps, schema_editor):
        Waypoints = apps.get_model('openraideur', 'Waypoint')
        for wp in Waypoints.objects.all().iterator():
            response = requests.get("https://geo.api.gouv.fr/communes?fields=nom&lon={lon}&lat={lat}".format(lon=wp.lon, lat=wp.lat))
            if (response.status_code != 200):
                raise Exception("Erreur requete geo.api.gouv.fr !")
            wp.city = json.loads(response.text)[0]['nom']
            wp.save()

    def reverse_func(apps, schema_editor):
        pass  # code for reverting migration, if any

    dependencies = [
        ('openraideur', '0012_auto_20210417_0938'),
    ]

    operations = [
        migrations.AddField(
            model_name='waypoint',
            name='city',
            field=models.CharField(blank=True, max_length=40, null=True, verbose_name='Ville'),
        ),
        migrations.RunPython(city_lookup, reverse_func),
    ]
